--- old/usr/src/uts/common/crypto/io/skein_mod.c	sam. juil. 16 15:13:47 2016
+++ new/usr/src/uts/common/crypto/io/skein_mod.c	sam. juil. 16 15:13:47 2016
@@ -48,7 +48,7 @@
 };
 
 static struct modlinkage modlinkage = {
-	MODREV_1, &modlmisc, &modlcrypto, NULL
+	MODREV_1, { &modlmisc, &modlcrypto, NULL }
 };
 
 static crypto_mech_info_t skein_mech_info_tab[] = {
@@ -122,27 +122,27 @@
 	skein_free_context
 };
 
-static crypto_ops_t skein_crypto_ops = {
-	&skein_control_ops,
-	&skein_digest_ops,
-	NULL,
-	&skein_mac_ops,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	NULL,
-	&skein_ctx_ops,
-	NULL,
-	NULL,
-	NULL
-};
+static crypto_ops_t skein_crypto_ops = {{{{{{
+				&skein_control_ops,
+				&skein_digest_ops,
+				NULL,
+				&skein_mac_ops,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				NULL,
+				&skein_ctx_ops },	/* cou_v1 */
+			NULL },				/* cou_v2 */
+		NULL },					/* cou_v3 */
+	NULL }						/* cou_v4 */
+}};
 
-static crypto_provider_info_t skein_prov_info = {
+static crypto_provider_info_t skein_prov_info = {{{{
 	CRYPTO_SPI_VERSION_4,
 	"Skein Software Provider",
 	CRYPTO_SW_PROVIDER,
@@ -151,7 +151,7 @@
 	&skein_crypto_ops,
 	sizeof (skein_mech_info_tab) / sizeof (crypto_mech_info_t),
 	skein_mech_info_tab
-};
+}}}};
 
 static crypto_kcf_provider_handle_t skein_prov_handle = 0;
 
